View Issue Details

IDProjectCategoryView StatusLast Update
1867RackTablesIPv4/IPv6/SLBpublic2018-11-10 20:31
ReportertomiumAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSOpenSuse LeapOS Version15.0
Product Version0.20.14 
Target Version0.21.2Fixed in Version0.21.2 
Summary1867: Import of Live PTRs fails
DescriptionWhen importing DNS records under "IPv4 Space" - "Live PTR" a blank page is displayed after klicking "Import selected records"

The apache error-log Reports:
PHP Fatal error: Uncaught ArgumentCountError: Too few arguments to function updateAddress(), 3 passed in /srv/www/htdocs/srvlist/racktables/inc/ophandlers.php on line 2178 and exactly 4 expected in /srv/www/htdocs/srvlist/racktables/inc/database.php:2600\nStack trace:\n#0 /srv/www/htdocs/srvlist/racktables/inc/ophandlers.php(2178): updateAddress('\\ndh&', 'Serverxxxxxxxxx', 'no')\n#1 /srv/www/htdocs/srvlist/racktables/index.php(232): importPTRData()\n#2 {main}\n thrown in /srv/www/htdocs/srvlist/racktables/inc/database.php on line 2600, referer: https://rt-server/racktables/index.php?page=ipv4net&tab=liveptr&id=xxx

Our PHP-Version is 7.2.5
Steps To ReproduceSelect an IPv4-Network and Select Tab "Live PTR"
Check at least one Record to Import (if there is any).
Klick "Import selected records"
Additional InformationA coworker, who is very good at php, pointed out, that this is an issue with PHP 7 an an undefined variable in line 2600 of database.php.
We +were able to solve this issue by replacing
function updateAddress ($ip_bin, $name = '', $reserved = 'no', $comment )
with
function updateAddress ($ip_bin, $name = '', $reserved = 'no', $comment = '')
TagsNo tags attached.

Activities

infrastation

infrastation

2018-11-10 20:31

administrator   ~0003859

This bug indeed was present in earlier releases, this exact fix for it was committed on 20 Apr 2018 (commit 45ec20f via pull request 220) and will be available in release 0.21.2. Closing.

Issue History

Date Modified Username Field Change
2018-11-09 12:46 tomium New Issue
2018-11-09 12:46 tomium Issue generated from: 1865
2018-11-10 20:31 infrastation Status new => closed
2018-11-10 20:31 infrastation Resolution open => fixed
2018-11-10 20:31 infrastation Fixed in Version => 0.21.2
2018-11-10 20:31 infrastation Target Version => 0.21.2
2018-11-10 20:31 infrastation Note Added: 0003859